﻿using NetinaShop.Domain.Entities.Products;

namespace NetinaShop.Domain.Entities.Brands;

public class Brand : ApiEntity
{
    public string Name { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;
    public bool HasSpecialPage { get; internal set; }
    public string PageUrl { get; internal set; } = string.Empty;
    public List<Product> Products { get; internal set; } = new();
    public List<BrandStorageFile> Files { get; internal set; } = new();
}