﻿namespace NetinaShop.Domain.Entities.Discounts;

public class Discount : ApiEntity
{
    public string Code { get; internal set; } = string.Empty;
    public int DiscountPercent { get; internal set; }
    public long DiscountAmount { get; internal set; }
    public bool HasCode { get; internal set; }
    public DiscountAmountType AmountType { get; internal set; }
    public DiscountType Type { get; internal set; }
    public int Count { get; internal set; }
    public DateTime StartDate { get; internal set; }
    public DateTime ExpireDate { get; internal set; }
    public long PriceFloor { get; internal set; }
    public bool HasPriceFloor { get; internal set; }
    public long PriceCeiling { get; internal set; }
    public bool HasPriceCeiling { get; internal set; }
    public bool IsInfinity { get; internal set; }
    public long UseCount { get; internal set; }
    public bool IsForInvitation { get; internal set; }

    public List<Order> Orders { get; internal set; } = new();
}