﻿using NetinaShop.Domain.Entities.Products;

namespace NetinaShop.Domain.Entities.Orders;

public class OrderProduct : ApiEntity
{
    public int Count { get; internal set; }
    public float ProductFee { get; internal set; }
    public float ProductCost { get; internal set; }
    public OrderStatus OrderProductStatus { get; internal set; }

    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }

    public Guid OrderId { get; internal set; }
    public Order? Order { get; internal set; }
}