﻿using NetinaShop.Domain.Entities.Users;

namespace NetinaShop.Domain.Entities.Products;

public class Review : ApiEntity
{
    public string Title { get; internal set; } = string.Empty;
    public string Comment { get; internal set; } = string.Empty;
    public float Rate { get; internal set; }
    public bool IsBuyer { get; internal set; }

    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }

    public Guid UserId { get; internal set; }
    public ApplicationUser? User { get; internal set; }
}