﻿namespace NetinaShop.Domain.Entities.Products;

public class Specification : ApiEntity
{
    public string Title { get; internal set; } = string.Empty;
    public string Detail { get; internal set; } = string.Empty;
    public bool IsFeature { get; internal set; }

    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }

    public Guid ParentId { get; internal set; }
    public Specification? Parent { get; internal set; }

    public List<Specification> Children { get; internal set; } = new();
}