﻿namespace NetinaShop.Domain.Entities.Blogs;

public class Blog : ApiEntity
{
    public string Title { get; internal set; } = string.Empty;
    public string Content { get; internal set; } = string.Empty;
    public string Tags { get; internal set; } = string.Empty;
    public int ReadingTime { get; internal set; }
    public string Summery { get; internal set; } = string.Empty;
    public bool IsSuggested { get; internal set; }
    public Guid CategoryId { get; internal set; }
    public BlogCategory? Category { get; internal set; }
    public List<BlogStorageFile> Files { get; internal set; } = new();

}