﻿using NetinaShop.Domain.Entities.Products;

namespace NetinaShop.Domain.Entities.Categories;

public class Category : ApiEntity
{
    public string Name { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;

    public Guid ParentId { get; internal set; }
    public Category? Parent { get; internal set; }

    public List<Category> Children { get; internal set; } = new();
    public List<ProductCategory> Products { get; internal set; } = new();
    public List<CategoryStorageFile> Files { get; internal set; } = new();
}