﻿namespace NetinaShop.Domain.Entities.Orders;

public class Order : ApiEntity
{
    public long TotalPrice { get; internal set; }
    public long DeliveryPrice { get; internal set; }
    public long TaxesPrice { get; internal set; }
    public long ServicePrice { get; internal set; }
    public long PackingPrice { get; internal set; }
    public long TotalProductsPrice { get; internal set; }
    public long DiscountPrice { get; internal set; }
    public bool IsPayed { get; internal set; }
    public OrderStatus OrderStatus { get; internal set; }
    public DateTime DoneAt { get; internal set; }
    public DateTime OrderAt { get; internal set; }
    public int PreparingMinute { get; internal set; }
    public string DiscountCode { get; internal set; } = string.Empty;

    public List<OrderProduct> OrderProducts { get; internal set; } = new();
}